site_name: Notes
theme:
  name: material
  palette:
    - scheme: default
      primary: indigo
      accent: indigo
      toggle:
        icon: material/weather-night
        name: Switch to dark mode
    - scheme: slate
      primary: indigo
      accent: indigo
      toggle:
        icon: material/weather-sunny
        name: Switch to light mode
  features:
    - navigation.instant
    - navigation.tabs
    - navigation.top
    - navigation.footer
    - toc.integrate
    - content.code.copy
    - content.code.annotate
    - search.suggest
    - search.highlight
    - search.share
    - content.action.edit
    - content.action.view

markdown_extensions:
  - admonition
  - attr_list
  - def_list
  - footnotes
  - md_in_html
  - meta
  - toc:
      permalink: true
  - codehilite
  - extra
  - pymdownx.highlight
  - pymdownx.superfences
  - pymdownx.inlinehilite
  - pymdownx.magiclink
  - pymdownx.betterem
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.arithmatex:
        generic: true

extra_javascript:
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js


nav:
  - Home: index.md
  - Books:
    - Designing Data-Intensive Applications:
      - Preface: books/designing_data_intensive_applications/preface/index.md
      - Part 1. Foundations of Data Systems:
        - Chapter 1. Reliable, Scalable and Maintainable Applications: books/designing_data_intensive_applications/part1/chapter1.md
        - Chapter 2. Data Models and Query Languages: books/designing_data_intensive_applications/part1/chapter2.md
    - API Design Patterns:
      - Part 1. Introduction:
        - Chapter 1. Introduction to APIs: books/api_design_patterns/part1/chapter1.md
        - Chapter 2. Introduction to API Design Patterns: books/api_design_patterns/part1/chapter2.md
      - Part 2. Design Principles:
        - Chapter 3. Naming: books/api_design_patterns/part2/chapter3.md
        - Chapter 4. Resource Scope and Hierarchy: books/api_design_patterns/part2/chapter4.md
  - Lecture Notes:
    - Developing Maintainable Software:
      - Java Collections: lectures/dms/01_java_collections.md
      - UML Diagrams: lectures/dms/02_uml.md
